Amazon Linux 2022 : (ALAS2022-2022-116)

high Nessus プラグイン ID 164766

概要

リモートの Amazon Linux 2022 ホストに、セキュリティ更新プログラムがありません。

説明

したがって、ALAS2022-2022-116 のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- 8.2.4956より前の GitHub リポジトリ vim/vim における関数 grab_file_name のバッファオーバーリード。この脆弱性はソフトウェアのクラッシュ、メモリ改ざん、リモート実行の可能性があります。
(CVE-2022-1720)

- 8.2.4977より前の GitHub リポジトリ vim/vim における領域外書き込み。(CVE-2022-1785)

- 8.2.4979より前の GitHub リポジトリ vim/vim でのメモリ解放後使用 (Use-After-Free)。(CVE-2022-1796)

- 8.2より前の GitHub リポジトリ vim/vim における領域外読み取り。(CVE-2022-1851、CVE-2022-2126、CVE-2022-2183、CVE-2022-2206)

- 8.2より前の GitHub リポジトリ vim/vim におけるヒープベースのバッファオーバーフロー。(CVE-2022-1886、CVE-2022-1942、CVE-2022-2125、CVE-2022-2182、CVE-2022-2207)

- 8.2より前の GitHub リポジトリ vim/vim における領域外書き込み。(CVE-2022-1897、CVE-2022-2000、CVE-2022-2129、CVE-2022-2210)

- 8.2より前の GitHub リポジトリ vim/vim でのメモリ解放後使用 (Use After Free)。(CVE-2022-1898、CVE-2022-1968、CVE-2022-2042)

- 8.2より前の GitHub リポジトリ vim/vim におけるバッファオーバーリード。(CVE-2022-1927、CVE-2022-2124、CVE-2022-2175)

- 8.2.5163より前の GitHub リポジトリ vim/vim の NULL ポインターデリファレンス。(CVE-2022-2208)

- 8.2 より前の GitHub リポジトリ vim/vim の NULL ポインターデリファレンス。(CVE-2022-2231)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

「dnf update --releasever=2022.0.20220719 vim」を実行してシステムを更新してください。

関連情報

https://alas.aws.amazon.com/AL2022/ALAS-2022-116.html

https://alas.aws.amazon.com/cve/html/CVE-2022-1720.html

https://alas.aws.amazon.com/cve/html/CVE-2022-1785.html

https://alas.aws.amazon.com/cve/html/CVE-2022-1796.html

https://alas.aws.amazon.com/cve/html/CVE-2022-1851.html

https://alas.aws.amazon.com/cve/html/CVE-2022-1886.html

https://alas.aws.amazon.com/cve/html/CVE-2022-1897.html

https://alas.aws.amazon.com/cve/html/CVE-2022-1898.html

https://alas.aws.amazon.com/cve/html/CVE-2022-1927.html

https://alas.aws.amazon.com/cve/html/CVE-2022-1942.html

https://alas.aws.amazon.com/cve/html/CVE-2022-1968.html

https://alas.aws.amazon.com/cve/html/CVE-2022-2000.html

https://alas.aws.amazon.com/cve/html/CVE-2022-2042.html

https://alas.aws.amazon.com/cve/html/CVE-2022-2124.html

https://alas.aws.amazon.com/cve/html/CVE-2022-2125.html

https://alas.aws.amazon.com/cve/html/CVE-2022-2126.html

https://alas.aws.amazon.com/cve/html/CVE-2022-2129.html

https://alas.aws.amazon.com/cve/html/CVE-2022-2175.html

https://alas.aws.amazon.com/cve/html/CVE-2022-2182.html

https://alas.aws.amazon.com/cve/html/CVE-2022-2183.html

https://alas.aws.amazon.com/cve/html/CVE-2022-2206.html

https://alas.aws.amazon.com/cve/html/CVE-2022-2207.html

https://alas.aws.amazon.com/cve/html/CVE-2022-2208.html

https://alas.aws.amazon.com/cve/html/CVE-2022-2210.html

https://alas.aws.amazon.com/cve/html/CVE-2022-2231.html

プラグインの詳細

深刻度: High

ID: 164766

ファイル名: al2022_ALAS2022-2022-116.nasl

バージョン: 1.5

タイプ: local

エージェント: unix

公開日: 2022/9/6

更新日: 2022/11/21

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2022-2210

CVSS v3

リスクファクター: High

Base Score: 7.8

Temporal Score: 6.8

ベクトル: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:amazon:linux:vim-common, p-cpe:/a:amazon:linux:vim-common-debuginfo, p-cpe:/a:amazon:linux:vim-data, p-cpe:/a:amazon:linux:vim-debuginfo, p-cpe:/a:amazon:linux:vim-debugsource, p-cpe:/a:amazon:linux:vim-default-editor, p-cpe:/a:amazon:linux:vim-enhanced, p-cpe:/a:amazon:linux:vim-enhanced-debuginfo, p-cpe:/a:amazon:linux:vim-filesystem, p-cpe:/a:amazon:linux:vim-minimal, p-cpe:/a:amazon:linux:vim-minimal-debuginfo, cpe:/o:amazon:linux:2022

必要な KB アイテム: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/7/20

脆弱性公開日: 2022/5/19

参照情報

CVE: CVE-2021-3770, CVE-2022-0554, CVE-2022-0572, CVE-2022-0629, CVE-2022-1616, CVE-2022-1619, CVE-2022-1620, CVE-2022-1621, CVE-2022-1629, CVE-2022-1674, CVE-2022-1720, CVE-2022-1725, CVE-2022-1733, CVE-2022-1735, CVE-2022-1769, CVE-2022-1771, CVE-2022-1785, CVE-2022-1796, CVE-2022-1851, CVE-2022-1886, CVE-2022-1897, CVE-2022-1898, CVE-2022-1927, CVE-2022-1942, CVE-2022-1968, CVE-2022-2000, CVE-2022-2042, CVE-2022-2124, CVE-2022-2125, CVE-2022-2126, CVE-2022-2129, CVE-2022-2175, CVE-2022-2182, CVE-2022-2183, CVE-2022-2206, CVE-2022-2207, CVE-2022-2208, CVE-2022-2210, CVE-2022-2231

IAVB: 2022-B-0049